Package org.jboss.resteasy.links.impl

## Class ObjectLinksProvider

- java.lang.Object
- - org.jboss.resteasy.links.impl.ObjectLinksProvider

- All Implemented Interfaces:
    `LinksProvider<Object>`

      public final class ObjectLinksProvider
      extends Object
      implements LinksProvider<Object>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectLinksProvider​(javax.ws.rs.core.UriInfo uriInfo, ResourceMethodRegistry resourceMethodRegistry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `evaluateEL​(Method m, javax.el.ELContext context, String expression)` |
    `Boolean` | `evaluateELBoolean​(Method m, javax.el.ELContext context, String expression)` |
    `RESTServiceDiscovery` | `getLinks​(Object entity)` |
    `RESTServiceDiscovery` | `getLinks​(Object entity, ClassLoader classLoader)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectLinksProvider

          public ObjectLinksProvider​(javax.ws.rs.core.UriInfo uriInfo,
                                     ResourceMethodRegistry resourceMethodRegistry)

  - ### Method Detail

    - #### getLinks

          public RESTServiceDiscovery getLinks​(Object entity)

      Specified by:
        `getLinks` in interface `LinksProvider<Object>`

    - #### getLinks

          public RESTServiceDiscovery getLinks​(Object entity,
                                               ClassLoader classLoader)

      Specified by:
        `getLinks` in interface `LinksProvider<Object>`

    - #### evaluateEL

          public Object evaluateEL​(Method m,
                                   javax.el.ELContext context,
                                   String expression)

    - #### evaluateELBoolean

          public Boolean evaluateELBoolean​(Method m,
                                           javax.el.ELContext context,
                                           String expression)